/*
 * @nevware21/ts-utils
 * https://github.com/nevware21/ts-utils
 *
 * Copyright (c) 2022 Nevware21
 * Licensed under the MIT license.
 */
import { arrSlice } from "../array/slice";
import { fnApply } from "../funcs/fnApply";
import { _createTimerHandler } from "./handler";
export function scheduleInterval(callback, timeout) {
    let self = this;
    let theArguments = arrSlice(arguments);
    let handler = _createTimerHandler(true, (intervalId) => {
        intervalId && clearInterval(intervalId);
        return fnApply(setInterval, self, theArguments);
    }, (intervalId) => {
        fnApply(clearInterval, self, [intervalId]);
    });
    return handler.h;
}
//# sourceMappingURL=interval.js.map